#!/bin/zsh
echo
echo "＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊"
echo "＊ JFXオリジナルインジケータインストール ＊"
echo "＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊"
echo

echo "JFXオリジナル設定をインストールします。"
echo "対象のインジケータ、組み表示、テンプレートの設定は上書きされます。"
echo "実行してもよろしいですか？ (Y/N)"

read ANS
case $ANS in [Yy]* )
    cd "$(dirname "$0")"
    #インジケータ
    cp -r ./Indicators/ ~/Library/Application\ Support/net.metaquotes.wine.metatrader5/drive_c/Program\ Files/MetaTrader\ 5/MQL5/Indicators/

    #組み表示・テンプレートコピー
    cp -r ./Profiles/ ~/Library/Application\ Support/net.metaquotes.wine.metatrader5/drive_c/Program\ Files/MetaTrader\ 5/MQL5/Profiles/

    echo "＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊"
    echo "＊ インストールが終了しました 　　　　　　＊"
    echo "＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊"
    ;;
  * )
    echo
    echo "インストールを中止しました。"
    ;;
esac
